Resolido Docs
Ai agents

Search prompts

GET
/agents/prompt-search

Search the agents' instructions for a text and return each match with surrounding context – without downloading whole prompts.

Authorization

bearer agents:read
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: agents:read

Query Parameters

query*string

Text to look for (case-insensitive).

Length1 <= length <= 2000
agentIds?array<>

Limit to these agents (comma-separated in the query string).

Itemsitems <= 100
limit?integer

Snippets per agent.

Range1 <= value <= 20
Default5

Response Body

Success

application/json
  1. response
data*array<>
curl -X GET "https://example.com/agents/prompt-search?query=string"
{  "data": [    {      "agentId": "string",      "name": "string",      "length": 0,      "updatedAt": 0,      "count": 0,      "snippets": [        {          "position": 0,          "snippet": "string"        }      ]    }  ]}